Skip to main content
GET
/
users
/
{identifier}
/
connections
List public user connections
curl --request GET \
  --url https://teambattles.gg/api/v1/users/{identifier}/connections \
  --header 'Authorization: Bearer <token>'
{
  "connections": [
    {
      "id": "<string>",
      "platform": "<string>",
      "username": "<string>",
      "url": "<string>",
      "isPrimary": true,
      "isVerified": true,
      "connectedAt": "<string>"
    }
  ],
  "count": 4503599627370495,
  "timestamp": "<string>"
}

Authorizations

Authorization
string
header
required

Send your API key as: Authorization: Bearer tb_

Path Parameters

identifier
string
required

Username or Convex user ID.

Response

User connections.

Envelope containing connections, count, and a response timestamp.

connections
object[]
required
count
integer
required
Required range: 0 <= x <= 9007199254740991
timestamp
string
required

ISO 8601 timestamp.